| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions
jdatadst.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`
`#include "jerror.h"`

Go to the source code of this file.

## Classes
struct | my_destination_mgr

## Macros
#define | OUTPUT_BUF_SIZE 4096 /* choose an efficiently fwrite'able size */

## Typedefs
typedef my_destination_mgr * | my_dest_ptr

## Functions
| init_destination (j_compress_ptr cinfo)
| empty_output_buffer (j_compress_ptr cinfo)
| term_destination (j_compress_ptr cinfo)
| jpeg_stdio_dest (j_compress_ptr cinfo, FILE *outfile)

## Macro Definition Documentation

#define OUTPUT_BUF_SIZE 4096 /* choose an efficiently fwrite'able size */

Definition at line 34 of file jdatadst.c.

## Typedef Documentation

typedef my_destination_mgr* my_dest_ptr

Definition at line 32 of file jdatadst.c.

## Function Documentation

empty_output_buffer | ( | j_compress_ptr | cinfo | ) |

Definition at line 81 of file jdatadst.c.

init_destination | ( | j_compress_ptr | cinfo | ) |

Definition at line 43 of file jdatadst.c.

jpeg_stdio_dest | ( | j_compress_ptr | cinfo,
|  | FILE * | outfile
| ) |  |

Definition at line 130 of file jdatadst.c.

term_destination | ( | j_compress_ptr | cinfo | ) |

Definition at line 106 of file jdatadst.c.